<?php
/*
  删除分类处理文件
*/
    if(!isset($_GET['catId'])){//如果没有获得分类，显示错误
   	echo "非法访问";
   	exit;
   }else{//否则
   	$catId=$_GET['catId'];//获得分类id
   	include_once('conn.php');//包含数据库连接文件
   	$sql="delete from cat where catId='".$catId."'";//删除分类表中的分类
   	$sql1="delete from news where parentId='".$catId."'";//删除文章表parentId为分类id的内容
   if(mysql_query($sql,$conn)&&mysql_query($sql1,$conn)){//如果都删除成功，则显示成功
  	echo"删除成功！";
  }else{//否则显示错误
  	echo "删除失败！";
  }
   }
?>